Liblinphone 5.3.0

Public Types | Public Member Functions
EnumMask< T > Class Template Reference

## Public Types
typedef std::conditional< std::is_signed< typenamestd::underlying_type< T >::type >::value, int, unsignedint >::type | StorageType

## Public Member Functions
constexpr | EnumMask (int mask=0)
constexpr | EnumMask (T value)
constexpr | EnumMask (std::initializer_list< T > mask)
constexpr | operator StorageType () const
constexpr bool | isSet (T value) const
EnumMask & | set (T value)
EnumMask & | unset (T value)
constexpr bool | operator! () const
EnumMask & | operator&= (int mask)
EnumMask & | operator&= (unsigned int mask)
EnumMask & | operator&= (T mask)
EnumMask & | operator|= (EnumMask mask)
EnumMask & | operator|= (T mask)
EnumMask & | operator^= (EnumMask mask)
EnumMask & | operator^= (T mask)
constexpr EnumMask | operator& (int mask) const
constexpr EnumMask | operator& (unsigned int mask) const
constexpr EnumMask | operator& (T mask) const
constexpr EnumMask | operator| (EnumMask mask) const
constexpr EnumMask | operator| (T mask) const
constexpr EnumMask | operator^ (EnumMask mask) const
constexpr EnumMask | operator^ (T mask) const
constexpr EnumMask | operator~ () const

The documentation for this class was generated from the following file:

- enum-mask.h